std::regex_error Class Reference
Regular Expressions | Diagnostics » Exceptions

`#include <regex_error.h>`

Inheritance diagram for std::regex_error:
[legend]

## Public Member Functions

| regex_error (regex_constants::error_type __ecode)
regex_constants::error_type | code () const noexcept
virtual const char * | what () const noexcept

## Friends

void | __throw_regex_error (regex_constants::error_type, const char *)

## Detailed Description

A regular expression exception class.

The regular expression library throws objects of this class on error.

Definition at line 134 of file regex_error.h.

## Constructor & Destructor Documentation

## regex_error()

std::regex_error::regex_error | ( | regex_constants::error_type | __ecode | ) |

explicit

Constructs a regex_error object.

Parameters

  __ecode | the regex error code.

## Member Function Documentation

## code()

regex_constants::error_type std::regex_error::code | ( |  | ) | const

inline noexcept

Gets the regex error code.

Returns
  the regex error code.

Definition at line 155 of file regex_error.h.

## what()

virtual const char * std::runtime_error::what | ( |  | ) | const

virtual noexcept inherited

Returns a C-style character string describing the general cause of the current error (the same string passed to the ctor).

Reimplemented from std::exception.

Reimplemented in std::filesystem::filesystem_error, and std::experimental::filesystem::v1::filesystem_error.

## Friends And Related Symbol Documentation

## __throw_regex_error

void __throw_regex_error | ( | regex_constants::error_type | __ecode,
|  | const char * | __what
| ) |  |

friend

Definition at line 172 of file regex_error.h.

The documentation for this class was generated from the following file:

- regex_error.h